BasicTreeUI.TreeModelHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTreeUI, class: TreeModelHandler
Keywords: javax.swing.plaf.basic.BasicTreeUI.TreeModelHandler class

# Class BasicTreeUI.TreeModelHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.TreeModelHandler

All Implemented Interfaces:
  `EventListener, TreeModelListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreeModelHandler extends Object implements TreeModelListener
Forwards all TreeModel events to the TreeState.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeModelHandler()`
  Constructs a `TreeModelHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `treeNodesChanged(TreeModelEvent e)`
  Invoked after a node (or a set of siblings) has changed in some way.
  `void`
  `treeNodesInserted(TreeModelEvent e)`
  Invoked after nodes have been inserted into the tree.
  `void`
  `treeNodesRemoved(TreeModelEvent e)`
  Invoked after nodes have been removed from the tree.
  `void`
  `treeStructureChanged(TreeModelEvent e)`
  Invoked after the tree has drastically changed structure from a given node down.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TreeModelHandler

    public TreeModelHandler()
    Constructs a `TreeModelHandler`.

- ## Method Details

  - ### treeNodesChanged

    public void treeNodesChanged(TreeModelEvent e)
    Description copied from interface: `TreeModelListener`

    Invoked after a node (or a set of siblings) has changed in some way. The node(s) have not changed locations in the tree or altered their children arrays, but other attributes have changed and may affect presentation. Example: the name of a file has changed, but it is in the same location in the file system.

    To indicate the root has changed, childIndices and children will be null.

    Use `e.getPath()` to get the parent of the changed node(s). `e.getChildIndices()` returns the index(es) of the changed node(s).

    Specified by:
      `treeNodesChanged` in interface `TreeModelListener`
    Parameters:
      `e` - a `TreeModelEvent` describing changes to a tree model

  - ### treeNodesInserted

    public void treeNodesInserted(TreeModelEvent e)
    Description copied from interface: `TreeModelListener`

    Invoked after nodes have been inserted into the tree.

    Use `e.getPath()` to get the parent of the new node(s). `e.getChildIndices()` returns the index(es) of the new node(s) in ascending order.

    Specified by:
      `treeNodesInserted` in interface `TreeModelListener`
    Parameters:
      `e` - a `TreeModelEvent` describing changes to a tree model

  - ### treeNodesRemoved

    public void treeNodesRemoved(TreeModelEvent e)
    Description copied from interface: `TreeModelListener`

    Invoked after nodes have been removed from the tree. Note that if a subtree is removed from the tree, this method may only be invoked once for the root of the removed subtree, not once for each individual set of siblings removed.

    Use `e.getPath()` to get the former parent of the deleted node(s). `e.getChildIndices()` returns, in ascending order, the index(es) the node(s) had before being deleted.

    Specified by:
      `treeNodesRemoved` in interface `TreeModelListener`
    Parameters:
      `e` - a `TreeModelEvent` describing changes to a tree model

  - ### treeStructureChanged

    public void treeStructureChanged(TreeModelEvent e)
    Description copied from interface: `TreeModelListener`

    Invoked after the tree has drastically changed structure from a given node down. If the path returned by e.getPath() is of length one and the first element does not identify the current root node the first element should become the new root of the tree.

    Use `e.getPath()` to get the path to the node. `e.getChildIndices()` returns null.

    Specified by:
      `treeStructureChanged` in interface `TreeModelListener`
    Parameters:
      `e` - a `TreeModelEvent` describing changes to a tree model